%define pkgname		GConf
%define api_version	2
%define	lib_major	4
%define lib_name	%mklibname %{name}_ %{lib_major}
%define lib_namedev	%mklibname -d %{name}

# Version of required packages
%define req_orbit_version	2.4.0
%define req_glib_version	2.14.19

%define giolibname %mklibname gio2.0_ 0
Summary:	A configuration database system for GNOME 2
Summary(de):	Ein Konfigurations-Datenbank-System für GNOME 2
Name:		%{pkgname}%{api_version}
Version: 	3.2.3
Release:	%mkrel 3
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/projects/gconf/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
Source1:	gconf.sh
Source2:	gconf.csh
Source3:	gconf-schemas.filter
Source4:	gconf-schemas.script
Patch1:		GConf-2.12.1-reload.patch
BuildRequires:  libglib2.0-devel >= %{req_glib_version}
BuildRequires:	libxml2-devel
BuildRequires:	libgtk+2-devel
BuildRequires:	polkit-1-devel
BuildRequires:	libORBit2-devel >= %{req_orbit_version}
BuildRequires:  dbus-glib-devel
BuildRequires:  autoconf2.5
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:	libldap-devel
BuildRequires:	gobject-introspection-devel
Requires:	polkit-agent
Requires:	psmisc
Requires:	sed
Requires(post):	update-alternatives
Provides:	libGConf2_4
Obsoletes: 	%{name} < %version
Provides:   gconf2


%description
GConf is a configuration data storage mechanism scheduled to
ship with GNOME 2.0. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.
#german
%description -l de
GConf ist ein Konfiguration Datenspeicherung Mechanismus unter 
GNOME 2,0. GConf funktioniert auch ohne GNOME, es kann unter 
folgende Anwendungen GTK +, Xlib, KDE, oder sogar Text-Modus 
arbeiten.

%package sanity-check
Summary:	Sanity checker for %{pkgname}%{api_version}
Summary(de):	Sanity Checker für %{pkgname}%{api_version}
Group:		Graphical desktop/GNOME

%description sanity-check
gconf-sanity-check is a tool to check the sanity of a %{pkgname}%{api_version}
installation.
#german
%description sanity-check -l de
Gconf-sanity-check ist ein Werkzeug zum prüfen der %{pkgname}%{api_version}
Installation auf dessen Zustand.

%package devel
Summary:	Development libraries and headers for GConf
Summary(de):	Entwicklerdateien und Headers für GConf
Group:		Development/Libraries
Conflicts:	libGConf1-devel < 1.0.6
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}
Requires: 	%name-sanity-check = %version
Requires:	libORBit2-devel
Requires:	libglib2-devel >= %{req_glib_version}
Requires:  	dbus-glib-devel
Obsoletes: 	%mklibname -d %{name}_ 4
Provides:	GConf-devel

%description devel
GConf is a configuration data storage mechanism scheduled to
ship with GNOME 2.0. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

This package contains the header files and libraries needed to develop
applications using GConf.
#german
%description devel -l de
GConf ist ein Konfiguration Datenspeicherung Mechanismus unter 
GNOME 2,0. GConf funktioniert auch ohne GNOME, es kann unter 
folgende Anwendungen GTK +, Xlib, KDE, oder sogar Text-Modus 
arbeiten.

Das Entwickler Paket zum erstellen von Anwendungen basierend auf 
GConf.

%prep
%setup -q -n %{pkgname}-%{version}
%patch1 -p1 -b .reload

%build
%configure2_5x --with-gtk=3.0 --disable-static --disable-orbit
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gconf.sh
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gconf.csh

mkdir %{buildroot}%{_sysconfdir}/gconf/schemas

# Provide /usr/lib/gconfd-2 symlink on lib64 platforms
%if "%{_lib}" != "lib"
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
ln -s ../%{_lib}/gconfd-%{api_version} $RPM_BUILD_ROOT%{_prefix}/lib/gconfd-%{api_version}
%endif

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/{gconf.xml.local-defaults,gconf.xml.local-mandatory,gconf.xml.system}

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-defaults.path
xml:readonly:/etc/gconf/gconf.xml.local-defaults
include "\$(HOME)/.gconf.path.defaults"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-mandatory.path
xml:readonly:/etc/gconf/gconf.xml.local-mandatory
include "\$(HOME)/.gconf.path.mandatory"
EOF

install -d %buildroot%{_var}/lib/rpm/filetriggers
install -m 644 %{SOURCE3} %buildroot%{_var}/lib/rpm/filetriggers
install -m 755 %{SOURCE4} %buildroot%{_var}/lib/rpm/filetriggers

%{find_lang} %{name}

# remove unpackaged files
find %{buildroot} -name *.la | xargs rm

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{pkgname}-%{version}

# remove buggy symlink
%post
/sbin/ldconfig
update-alternatives --install %{_bindir}/gconftool gconftool /usr/bin/gconftool-%{api_version} 20
if [ "$1" = "2" ]; then 
		update-alternatives --auto gconftool
fi

%if %_lib != lib
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules 
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif


%triggerpostun -- GConf2 < 2.22.0-4mdv
GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source` %{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/*.schemas > /dev/null

%postun
/sbin/ldconfig

if [ "$1" = "0" ]; then
%if %_lib != lib
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules 
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif
fi


%files -f %{name}.lang
%defattr(-, root, root)
%doc README
%config(noreplace) %{_sysconfdir}/profile.d/*
%config(noreplace) %_sysconfdir/dbus-1/system.d/org.gnome.GConf.Defaults.conf
%_sysconfdir/xdg/autostart/gsettings-data-convert.desktop
%_bindir/gsettings-data-convert
%_bindir/gsettings-schema-convert
%{_bindir}/gconftool*
%{_bindir}/gconf-merge-tree
%_mandir/man1/gconftool-2.1*
%_mandir/man1/gsettings-data-convert.1*
%_mandir/man1/gsettings-schema-convert.1*
%if "%{_lib}" != "lib"
%{_prefix}/lib/gconfd-%{api_version}
%endif
%{_libexecdir}/gconfd-%{api_version}
%{_libexecdir}/gconf-defaults-mechanism
%dir %{_libdir}/GConf
%dir %{_libdir}/GConf/%{api_version}
%{_libdir}/GConf/%{api_version}/*.so
%config(noreplace) %{_sysconfdir}/gconf/%{api_version}
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/gconf.xml*
%dir %{_sysconfdir}/gconf/schemas
%{_datadir}/polkit-1/actions/org.gnome.gconf.defaults.policy
%{_datadir}/sgml/gconf
%{_datadir}/GConf
%{_datadir}/dbus-1/services/org.gnome.GConf.service
%{_datadir}/dbus-1/system-services/org.gnome.GConf.Defaults.service
%{_var}/lib/rpm/filetriggers/gconf-schemas.*
%{_libdir}/lib*.so.*

%{_libdir}/gio/modules/libgsettingsgconfbackend.so
%_libdir/girepository-1.0/GConf-2.0.typelib

%files sanity-check
%{_libexecdir}/gconf-sanity-check-%{api_version}


%files devel
%defattr (-, root, root)
%doc ChangeLog TODO NEWS AUTHORS
%doc %{_datadir}/gtk-doc/html/*
%{_datadir}/aclocal/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%_datadir/gir-1.0/GConf-2.0.gir


%changelog
* Sun Feb 16 2019 tex - 3.2.3-3pclos2019
- provides gconf2

* Sun Mar 04 2012 leiche <meisssw01 at gmail.com> 3.2.3-2pclos2012
- rebuild for 32 bit
- add german description

* Wed Dec 14 2011 Texstar <texstar at gmail.com> 3.2.3-1pclos2011
- 3.2.3

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0

* Wed Aug 31 2011 Texstar <texstar at gmail.com> 3.1.90-1pclos2011
- 3.1.90

* Mon Aug 29 2011 Texstar <texstar at gmail.com> 3.1.6-1pclos2011
- 3.1.6

* Wed Aug 24 2011 Texstar <texstar at gmail.com> 3.1.4-1pclos2011
- 3.1.4

* Thu Apr 07 2011 Texstar <texstar at gmail.com> 2.32.2-1pclos2011
- 2.32.2

* Wed Sep 29 2010 Texstar <texstar at gmail.com> 2.32.0-1pclos2010
- 2.32.0

* Thu Sep 09 2010 Texstar <texstar at gmail.com> 2.28.1-3pclos2010
- rebuild ldap

* Tue Jun 08 2010 Texstar <texstar at gmail.com> 2.28.1-2pclos2010
- re-enable gtk-docs as it builds now

* Mon Jun 07 2010 siamer <siamer@wp.pl> 2.28.1-1pclos2010
- new version 2.28.1

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- rebuild

* Thu Jan 07 2010 Texstar <texstar at gmail.com> 2.28.0-1pclos2010
- 2.28.0

